Send a message to a contact
curl --request POST \
--url https://app.leonar.app/api/v1/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contact_id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
"channel": "email",
"subject": "Exciting opportunity at Doctolib",
"content": "Hi Sophie, I came across your profile and thought you might be interested..."
}
'import requests
url = "https://app.leonar.app/api/v1/messages"
payload = {
"contact_id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
"channel": "email",
"subject": "Exciting opportunity at Doctolib",
"content": "Hi Sophie, I came across your profile and thought you might be interested..."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contact_id: 'a1b2c3d4-5678-90ab-cdef-1234567890ab',
channel: 'email',
subject: 'Exciting opportunity at Doctolib',
content: 'Hi Sophie, I came across your profile and thought you might be interested...'
})
};
fetch('https://app.leonar.app/api/v1/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"direction": "<string>",
"content": "<string>",
"sent_at": "2023-11-07T05:31:56Z",
"channel": "<string>",
"contact": {
"id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
"first_name": "Sophie",
"last_name": "Martin",
"title": "Senior Software Engineer",
"current_company": "Doctolib",
"location": "Paris, France",
"linkedin_profile": "https://www.linkedin.com/in/sophie-martin",
"emails": [
{
"email": "sophie@doctolib.com",
"type": "work"
}
],
"phones": [
{
"phone": "+33612345678",
"type": "personal"
}
],
"tags": [
"frontend",
"senior"
],
"global_status": "new",
"source": "linkedin",
"summary": null,
"skills": [
"React",
"TypeScript",
"Node.js"
],
"languages": [
"French",
"English"
],
"years_experience": 8,
"custom_data": {
"industry_code": "A12",
"vip": true
},
"do_not_contact": false,
"created_at": "2025-01-15T10:30:00Z",
"updated_at": "2025-01-20T14:00:00Z",
"last_contacted_at": null,
"archived_at": null
}
}
}{
"error": {
"code": "validation_error",
"message": "Invalid input"
}
}{
"error": {
"code": "invalid_api_key",
"message": "Invalid API key"
}
}Messages
Send a message to a contact
Sends a message to a contact. Creates a conversation if one doesn’t exist.
POST
/
messages
Send a message to a contact
Authorizations
API key starting with leo_
Body
application/json
Available options:
email, linkedin, whatsapp Required for email
Connected account to send from. Auto-selected if omitted.
LinkedIn message type (default message)
Available options:
message, inmail, invitation International phone number to use for first-time WhatsApp sends when the contact has no WhatsApp provider ID or existing chat.
Response
Message sent
Show child attributes
Show child attributes
⌘I